Subject: Re: [Fecframe] FW: New Version Notification for draft-ietf-fecframe-interleaved-fec-scheme-04

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 30 Apr 2009 05:53:38 -0700

Hi Vincent

This draft is not an fec scheme so it is not related to fec framework. It is an rtp payload format draft. The wglc has been running almost a month now. If you have comments in this perspective, pls submit them soon. 

-acbegen

----- Original Message -----
From: Vincent Roca <[email-masked]>
To: Ali C. Begen (abegen)
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Sent: Thu Apr 30 03:58:35 2009
Subject: Re: [Fecframe] FW: New Version Notification for	draft-ietf-fecframe-interleaved-fec-scheme-04

Hello Ali,

I'm not in favor of finalizing the WGLC for this document. IMHO we must,
first of all, finalize the framework document itself.

For instance, the terminology used by the interleaved-fec-scheme I-D
(section 3.1.) is not in line with the terminology used by the
fecframe-framework-03 I-D (Section 2):
	"Source Flow"   vs. "Source data flow"
	"Repair Flow"   vs. "Repair data flow"
	"Source Symbol" vs. nothing
	"Repair Symbol" vs. nothing
	"Source Packet" vs. nothing
	"Repair Packet" vs. nothing
And as I said before, IMHO the terminology proposed in the framework
I-D should be discussed too.

So let's do things in the right order, especially as the framework
WGLC finishes soon.

Additionally, I may have some comments for the interleaved-fec-scheme-04
I-D. Since I missed the WGLC deadline, you have the right to blame me ;-)
and I apologize in advance.

Regards,

  Vincent

Ali C. Begen (abegen) wrote:
> This version addresses the comments received from fecframe and avt so far. 
> http://www.ietf.org/internet-drafts/draft-ietf-fecframe-interleaved-fec-scheme-04.txt
> 
> 
> Fecframe chairs,
> 
> Could we proceed and finalize WGLC?
> 
> -acbegen
>  
> 
> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]] 
> Sent: Wednesday, April 29, 2009 2:56 PM
> To: Ali C. Begen (abegen)
> Subject: New Version Notification for draft-ietf-fecframe-interleaved-fec-scheme-04 
> 
> 
> A new version of I-D, draft-ietf-fecframe-interleaved-fec-scheme-04.txt has been successfuly submitted by Ali Begen and posted to the IETF repository.
> 
> Filename:	 draft-ietf-fecframe-interleaved-fec-scheme
> Revision:	 04
> Title:		 RTP Payload Format for 1-D Interleaved Parity FEC
> Creation_date:	 2009-04-29
> WG ID:		 fecframe
> Number_of_pages: 31
> 
> Abstract:
> This document defines a new RTP payload format for the Forward Error
> Correction (FEC) that is generated by the 1-D interleaved parity code
> from a source media encapsulated in RTP.  The 1-D interleaved parity
> code is a systematic code, where a number of repair symbols are
> generated from a set of source symbols and sent in a repair flow
> separate from the source flow that carries the source symbols.  The
> 1-D interleaved parity code offers a good protection against bursty
> packet losses at a cost of decent complexity.  The new payload format
> defined in this document is used (with some exceptions) as a part of
> the DVB Application-layer FEC specification.
>                                                                                   
> 
> 
> The IETF Secretariat.
> 
> 
> _______________________________________________
> Fecframe mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/fecframe

---

From: Marshall Eubanks <[email-masked]>
Date: Thu, 30 Apr 2009 09:46:10 -0400

On Apr 30, 2009, at 8:53 AM, Ali C. Begen (abegen) wrote:

> Hi Vincent
>
> This draft is not an fec scheme so it is not related to fec  
> framework. It is an rtp payload format draft. The wglc has been  
> running almost a month now. If you have comments in this  
> perspective, pls submit them soon.
>
>

<Chair hat on>

I was about to close this WGLC, but we can wait a short while for new  
comments.

<Chair hat off>

Marshall

> Subject: Re: [Fecframe] FW: New Version Notification for         
> draft-ietf-fecframe-interleaved-fec-scheme-04
>
> Hello Ali,
>
> > A new version of I-D, draft-ietf-fecframe-interleaved-fec- 
> scheme-04.txt has been successfuly submitted by Ali Begen and posted  
> to the IETF repository.
> >

Regards
Marshall Eubanks
CEO / AmericaFree.TV

---

From: Marshall Eubanks <[email-masked]>
Date: Thu, 30 Apr 2009 09:51:59 -0400

<Chair hat on>

<Chair hat off>

Marshall

Regards
Marshall Eubanks
CEO / AmericaFree.TV

---

From: "Roni Even" <[email-masked]>
Date: Thu, 30 Apr 2009 21:12:21 +0300

Ali,

I noticed that the fec framework will allow SSRC multiplexing, are you going to specify this in this draft in the SDP offer answer section. 

Maybe you should also discuss when to use application media type and when to use video or audio

Roni

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Thursday, April 30, 2009 3:54 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [AVT] [Fecframe] FW: New Version Notification for draft-ietf-fecframe-interleaved-fec-scheme-04

Hi Vincent

-acbegen

----- Original Message -----
From: Vincent Roca <[email-masked]>
To: Ali C. Begen (abegen)
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Sent: Thu Apr 30 03:58:35 2009
Subject: Re: [Fecframe] FW: New Version Notification for        draft-ietf-fecframe-interleaved-fec-scheme-04

Hello Ali,

Regards,

  Vincent

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 30 Apr 2009 12:01:15 -0700

Hi Roni, 

> I noticed that the fec framework will allow SSRC 

Yes, it will not be the recommended way of using FEC, but it will be supported. The 4756bis draft also supports it now.

> multiplexing, are you going to specify this in this draft in 
> the SDP offer answer section. 

I am not sure what I need to specify additionally in this section regarding SSRC multiplexing. Could you let me know if there is such an example?
 
> type and when to use video or audio

I believe the FEC is always application type, we did registration for video, audio, etc. since FEC could relate to sessions carrying such types.

BR,
-acbegen
 
> Subject: Re: [AVT] [Fecframe] FW: New Version Notification 
> for draft-ietf-fecframe-interleaved-fec-scheme-04
> 
>  
> 
> Hi Vincent
> 
> framework. It is an rtp payload format draft. The wglc has 
> been running almost a month now. If you have comments in this 
> > Subject: New Version Notification for 
> > A new version of I-D, 
> draft-ietf-fecframe-interleaved-fec-scheme-04.txt has been 
> successfuly submitted by Ali Begen and posted to the IETF repository.
> >

---

From: "Roni Even" <[email-masked]>
Date: Thu, 30 Apr 2009 23:03:29 +0300

Ali,
You can find examples in section 8.6 to 8.8 of RFC 4588, notice that there is an optional parameter for the rtx stream that defines the relation between the original and the rtx stream. Similar solution is also specified for redundant encoding red payload type (RFC 2198). You are offering both streams with different payload type numbers in the same m-line.
In this case the media type must be video or audio same as the media type of the protected stream. This is why you needed the registration for type audio and video

Roni

-----Original Message-----
From: Ali C. Begen (abegen) [mailto:[email-masked]] 
Sent: Thursday, April 30, 2009 10:01 PM
To: Roni Even; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [AVT] [Fecframe] FW: New Version Notification for draft-ietf-fecframe-interleaved-fec-scheme-04

Hi Roni, 

 

BR,
-acbegen

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 30 Apr 2009 16:45:12 -0700

Hi Roni,

Thanks for the references. However, we cannot have a parameter that will relate the FEC stream to the source as RFC 4588 did with "apt" since a lot of possibilities (multiple sources and/or multiple repair flows) are possible with FEC. Instead, we use grouping and this works just fine in session multiplexing.

Regarding SSRC multiplexing of source and FEC streams, I don't think giving an explicit example is needed or it is a good idea for this draft since SSRC-level grouping is just introduced in 4756bis and it will include such examples anyway (actually the version I submitted today includes an example). We should better only provide session multiplexing examples in this draft. This also emphasizes the recommended way of doing FEC.

Reg the registration of the media types and SDP mappings, I believe the draft has the necessary details.

BR,
-acbegen

> From: Roni Even [mailto:[email-masked]] 
> Sent: Thursday, April 30, 2009 1:03 PM
> To: Ali C. Begen (abegen); [email-masked]
> Subject: RE: [AVT] [Fecframe] FW: New Version Notification 
> You can find examples in section 8.6 to 8.8 of RFC 4588, 
> notice that there is an optional parameter for the rtx stream 
> that defines the relation between the original and the rtx 
> stream. Similar solution is also specified for redundant 
> encoding red payload type (RFC 2198). You are offering both 
> streams with different payload type numbers in the same m-line.
> In this case the media type must be video or audio same as 
> the media type of the protected stream. This is why you 
> needed the registration for type audio and video
> 
> Roni
> 
> Subject: RE: [AVT] [Fecframe] FW: New Version Notification 
> Yes, it will not be the recommended way of using FEC, but it 
> will be supported. The 4756bis draft also supports it now.
> 
> I am not sure what I need to specify additionally in this 
> section regarding SSRC multiplexing. Could you let me know if 
> there is such an example?
>  
> I believe the FEC is always application type, we did 
> registration for video, audio, etc. since FEC could relate to 
> sessions carrying such types.
> 
> BR,
> -acbegen
>  
> >  
> > 
> > Roni
> > 
> >  
> >

---

From: "Roni Even" <[email-masked]>
Date: Fri, 1 May 2009 09:56:31 +0300

Hi Ali,
This is up to the WG to decide if they want to have support for SSRC multiplexing and the implications of this support. I am not sure what you mean by "we cannot have a parameter", I see only your view on the list.

If only session multiplexing is allowed then the draft should clearly state it and in this case I am not sure why you are registering the video, audio and text media subtypes.

Roni

-----Original Message-----
From: Ali C. Begen (abegen) [mailto:[email-masked]] 
Sent: Friday, May 01, 2009 2:45 AM
To: Roni Even; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [AVT] [Fecframe] FW: New Version Notification for draft-ietf-fecframe-interleaved-fec-scheme-04

Hi Roni,

BR,
-acbegen